Mailinglist Archive: opensuse-factory (387 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190514 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190514

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
akonadi-calendar (19.04.0 -> 19.04.1)
akonadi-calendar-tools (19.04.0 -> 19.04.1)
akonadi-contact (19.04.0 -> 19.04.1)
akonadi-import-wizard (19.04.0 -> 19.04.1)
akonadi-mime (19.04.0 -> 19.04.1)
akonadi-notes (19.04.0 -> 19.04.1)
akonadi-search (19.04.0 -> 19.04.1)
akonadi-server (19.04.0 -> 19.04.1)
akregator (19.04.0 -> 19.04.1)
alsa (1.1.8 -> 1.1.9)
alsa-plugins (1.1.8 -> 1.1.9)
alsa-utils (1.1.8 -> 1.1.9)
ark (19.04.0 -> 19.04.1)
baloo5-widgets (19.04.0 -> 19.04.1)
calendarsupport (19.04.0 -> 19.04.1)
dav1d (0.3.0 -> 0.3.1)
desktop-translations (84.87.20190504.726deb37 -> 84.87.20190508.853b49d2)
dolphin (19.04.0 -> 19.04.1)
dragonplayer (19.04.0 -> 19.04.1)
eventviews (19.04.0 -> 19.04.1)
ghostscript
gnome-settings-daemon
grantleetheme (19.04.0 -> 19.04.1)
graphviz
graphviz-addons
gwenview5 (19.04.0 -> 19.04.1)
hicolor-icon-theme
incidenceeditor (19.04.0 -> 19.04.1)
kaccounts-integration (19.04.0 -> 19.04.1)
kaccounts-providers (19.04.0 -> 19.04.1)
kaddressbook (19.04.0 -> 19.04.1)
kalarmcal (19.04.0 -> 19.04.1)
kamera (19.04.0 -> 19.04.1)
kate (19.04.0 -> 19.04.1)
kcalc (19.04.0 -> 19.04.1)
kcalcore (19.04.0 -> 19.04.1)
kcalutils (19.04.0 -> 19.04.1)
kcharselect (19.04.0 -> 19.04.1)
kcolorchooser (19.04.0 -> 19.04.1)
kcontacts (19.04.0 -> 19.04.1)
kdav (19.04.0 -> 19.04.1)
kdenetwork4-filesharing (19.04.0 -> 19.04.1)
kdepim-addons (19.04.0 -> 19.04.1)
kdepim-apps-libs (19.04.0 -> 19.04.1)
kdialog (19.04.0 -> 19.04.1)
khelpcenter5 (19.04.0 -> 19.04.1)
kidentitymanagement (19.04.0 -> 19.04.1)
kimap (19.04.0 -> 19.04.1)
kio-extras5 (19.04.0 -> 19.04.1)
kio_audiocd (19.04.0 -> 19.04.1)
kitinerary (19.04.0 -> 19.04.1)
kldap (19.04.0 -> 19.04.1)
kleopatra (19.04.0 -> 19.04.1)
kmag (19.04.0 -> 19.04.1)
kmail (19.04.0 -> 19.04.1)
kmail-account-wizard (19.04.0 -> 19.04.1)
kmailtransport (19.04.0 -> 19.04.1)
kmbox (19.04.0 -> 19.04.1)
kmime (19.04.0 -> 19.04.1)
kmousetool (19.04.0 -> 19.04.1)
knotes (19.04.0 -> 19.04.1)
kompare (19.04.0 -> 19.04.1)
konsole (19.04.0 -> 19.04.1)
kontact (19.04.0 -> 19.04.1)
kontactinterface (19.04.0 -> 19.04.1)
kopete (19.04.0 -> 19.04.1)
korganizer (19.04.0 -> 19.04.1)
kpimtextedit (19.04.0 -> 19.04.1)
kpkpass (19.04.0 -> 19.04.1)
kruler (19.04.0 -> 19.04.1)
ksmtp (19.04.0 -> 19.04.1)
ktnef (19.04.0 -> 19.04.1)
kwalletmanager5 (19.04.0 -> 19.04.1)
libgravatar (19.04.0 -> 19.04.1)
libkcddb (19.04.0 -> 19.04.1)
libkcompactdisc (19.04.0 -> 19.04.1)
libkdcraw (19.04.0 -> 19.04.1)
libkdepim (19.04.0 -> 19.04.1)
libkexiv2 (19.04.0 -> 19.04.1)
libkgapi (19.04.0 -> 19.04.1)
libkipi (19.04.0 -> 19.04.1)
libkleo (19.04.0 -> 19.04.1)
libkomparediff2 (19.04.0 -> 19.04.1)
libksane (19.04.0 -> 19.04.1)
libksieve (19.04.0 -> 19.04.1)
mailcommon (19.04.0 -> 19.04.1)
mailimporter (19.04.0 -> 19.04.1)
messagelib (19.04.0 -> 19.04.1)
mobipocket (19.04.0 -> 19.04.1)
nghttp2 (1.36.0 -> 1.38.0)
obs-service-set_version
okular (19.04.0 -> 19.04.1)
pango
patterns-kde
perl-Time-Duration (1.200000 -> 1.210000)
pesign (0.112 -> 113)
pimcommon (19.04.0 -> 19.04.1)
python-gssapi (1.5.0 -> 1.5.1)
rubygem-packaging_rake_tasks (1.4.5 -> 1.4.7)
signon-kwallet-extension (19.04.0 -> 19.04.1)
spectacle (19.04.0 -> 19.04.1)
tcsh (6.20.00 -> 6.21.00)
vdr
yast2-storage-ng (4.2.12 -> 4.2.15)

=== Details ===

==== akonadi-calendar ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-calendar-lang akonadi-plugin-calendar
libKF5AkonadiCalendar5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-calendar-tools ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-calendar-tools-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-contact ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-contact-lang akonadi-plugin-contacts libKF5AkonadiContact5
libKF5ContactEditor5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-import-wizard ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-import-wizard-lang libKPimImportWizard5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-mime ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-mime-lang akonadi-plugin-mime libKF5AkonadiMime5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-notes ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-notes-lang libKF5AkonadiNotes5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-search ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-search-lang libKF5AkonadiSearch

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== akonadi-server ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-server-lang akonadi-server-sqlite libKF5AkonadiAgentBase5
libKF5AkonadiCore5 libKF5AkonadiPrivate5 libKF5AkonadiWidgets5 libKF5AkonadiXml5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Don't use qAsConst over a temporary variable
* Improve error message "multiple merge candidates" to indicate the
collection name

==== akregator ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akregator-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix Bug 394946 - Delete key no longer works in articles list after using
search - keyboard focus stays in search field (kde#394946)

==== alsa ====
Version update (1.1.8 -> 1.1.9)
Subpackages: libasound2 libasound2-32bit

- Re-enable LTO (bsc#1133086);
we need to pass -flto-partition=none as a workaround
- Update to version 1.1.9: including previous fixes
See https://www.alsa-project.org/wiki/Changes_v1.1.8_v1.1.9
for detailed changes
- Dropped obsoleted patches:
0001-pcm-Preserve-period_event-in-snd_pcm_hw_sw_params-ca.patch
0004-ucm-Add-ucm-files-for-DB820c-board.patch
0005-ucm-bytcr-PlatformEnableSeq.conf-update-some-comment.patch
0006-pcm-dshare-Fix-overflow-when-slave_hw_ptr-rolls-over.patch
0007-test-latency-use-frame-bytes-correctly-in-writebuf.patch
0008-conf-pcm-dmix-add-CHANNELS-argument.patch
0009-Android-avoid-using-versionsort.patch
0010-pcm-add-the-missing-strings.h-include.patch
0011-alisp-add-the-missing-include.patch
0012-add-snd_strlcpy-and-use-it-everywhere.patch
0013-pcm-rate-plugin-fix-signess-in-snd_pcm_rate_avail_up.patch
0014-Drop-I-includedir-alsa-from-alsa.pc.patch

==== alsa-plugins ====
Version update (1.1.8 -> 1.1.9)
Subpackages: alsa-plugins-pulse alsa-plugins-pulse-32bit

- Update to alsa-plugins 1.1.9:
Fixes for jack and maemo plugins, see
https://www.alsa-project.org/wiki/Changes_v1.1.8_v1.1.9
for details

==== alsa-utils ====
Version update (1.1.8 -> 1.1.9)

- Update to alsa-utils 1.1.9:
alasctl, axfer, alsaloop, alsamixer and amixer fixes, see
https://www.alsa-project.org/wiki/Changes_v1.1.8_v1.1.9
for details

==== ark ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ark-lang libkerfuffle19

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* AddToArchive: fix filename preset for folders (kde#406812)
* Fix ark cannot be added as favourite in GNOME

==== baloo5-widgets ====
Version update (19.04.0 -> 19.04.1)
Subpackages: baloo5-widgets-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* [TagsFileItemAction] Only show action when file is writable
* [TagsFileItemAction] Avoid readding an existing tag via "New tag..."
* [TagsFileItemAction] Hide tags action if XAttrs are not supported
* [TagsFileItemAction] Fix bad truncation of tag name (kde#405777)
- Dropped patches, now upstream:
* 0001-TagsFileItemAction-Fix-bad-truncation-of-tag-name.patch

==== calendarsupport ====
Version update (19.04.0 -> 19.04.1)
Subpackages: calendarsupport-lang libKF5CalendarSupport5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Don't use qAsConst over a temporary variable

==== dav1d ====
Version update (0.3.0 -> 0.3.1)

- Update to version 0.3.1
* Fix a buffer overflow in frame-threading mode on SSSE3 CPUs
* Reduce binary size, notably on Windows
* SSSE3 optimizations for ipred_filter
* ARM optimizations for MSAC

==== desktop-translations ====
Version update (84.87.20190504.726deb37 -> 84.87.20190508.853b49d2)

- Update to version 84.87.20190508.853b49d2:
* Translated using Weblate (Slovak)

==== dolphin ====
Version update (19.04.0 -> 19.04.1)
Subpackages: dolphin-part dolphin-part-lang libdolphinvcs5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* [PlacesItemModelTest] Ignore user tag places
* Try again to fix PlacesItemModelTest::testDefaultViewProperties()
* Fix dolphin cannot be added as favourite in GNOME (kde#407198)
* Fix missing update of file name label in information panel without preview
* Fix adding "Create New..." menu to toolbar (kde#405780)

==== dragonplayer ====
Version update (19.04.0 -> 19.04.1)
Subpackages: dragonplayer-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Enable high-dpi pixmaps to ensure icons look correct with high-dpi scaling
(kde#407134)

==== eventviews ====
Version update (19.04.0 -> 19.04.1)
Subpackages: eventviews-lang libKF5EventViews5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== ghostscript ====
Subpackages: ghostscript-x11

- Set AA profile to complain and added fixes for ps2epsi (boo#1134327)

==== gnome-settings-daemon ====
Subpackages: gnome-settings-daemon-lang

- Add gnome-settings-daemon-round-xft_dpi-to-integer.patch: Round
the Xft.dpi setting to an integer (bsc#1086789,
glgo#GNOME#gnome-settings-daemon!99).

==== grantleetheme ====
Version update (19.04.0 -> 19.04.1)
Subpackages: grantleetheme-lang libKF5GrantleeTheme5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== graphviz ====
Subpackages: graphviz-plugins-core libgraphviz6

- Tweak runtime Requires(post): graphviz to same or newer version.
Needed after change to git checkout instead of released tarballs.

==== graphviz-addons ====
Subpackages: graphviz-gd graphviz-gnome

- Tweak runtime Requires(post): graphviz to same or newer version.
Needed after change to git checkout instead of released tarballs.

==== gwenview5 ====
Version update (19.04.0 -> 19.04.1)
Subpackages: gwenview5-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== hicolor-icon-theme ====

- Move RPM macros to %_rpmmacrodir.

==== incidenceeditor ====
Version update (19.04.0 -> 19.04.1)
Subpackages: incidenceeditor-lang libKF5IncidenceEditor5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Incidence Dialog: don't show an empty message widget initially.

==== kaccounts-integration ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kaccounts-integration-lang libkaccounts1

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kaccounts-providers ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kaccounts-providers-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kaddressbook ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kaddressbook-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kalarmcal ====
Version update (19.04.0 -> 19.04.1)
Subpackages: akonadi-plugin-kalarmcal kalarmcal-lang libKF5AlarmCalendar5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kamera ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kamera-lang kio_kamera

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kate ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kate-lang kate-plugins

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* tabswitcher_test: pass correct binary name to add_test()
* Use add_test signature where target command gets resolved to binary path

==== kcalc ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcalc-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcalcore ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcalutils ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcalutils-lang libKF5CalendarUtils5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcharselect ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcharselect-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kcolorchooser ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcolorchooser-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kcontacts ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kcontacts-lang libKF5Contacts5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kdav ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdav-lang libKPimKDAV5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kdenetwork4-filesharing ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdenetwork4-filesharing-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== kdepim-addons ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdepim-addons-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix Bug 403317 - KMAIL2; "Share Text" plugin segfaults (kde#403317)
* Fix horizontal line
* Fix render image
* Add more autotest
* Fix enable/disable widget
* Add missing uselocalinstance settings
* Fix Bug 406680 - LanguageTools: kmail restart loses configuration of
local server address in favor of default remote (kde#406680)
* Add more autotest
* Disable more QWebEngine features in markdown preview
- Dropped patches, now upstream:
* Fix-bug-403317.patch

==== kdepim-apps-libs ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdepim-apps-libs-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kdialog ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kdialog-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== khelpcenter5 ====
Version update (19.04.0 -> 19.04.1)
Subpackages: khelpcenter5-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kidentitymanagement ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kidentitymanagement-lang libKF5IdentityManagement5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix Bug 391631 - Identity not in list after creation (kde#391631)

==== kimap ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kimap-lang libKF5IMAP5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kio-extras5 ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kio-extras5-lang libkioarchive5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kio_audiocd ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kio_audiocd-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kitinerary ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKPimItinerary5 libKPimItinerary5-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kldap ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kldap-lang libKF5Ldap5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kleopatra ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kleopatra-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmag ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmag-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmail ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmail-application-icons kmail-lang ktnef

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix opening the New Mail Notifier agent configuration
* Fix Bug 407143 - settings window is too small (kde#407143)
* Really fix load recent file
* Use default encoding
* Fix get charset
* Fix Bug 391631 - Identity not in list after creation (kde#391631)

==== kmail-account-wizard ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmail-account-wizard-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix remove identity which was created
* Fix remove correct identity
* Allow to disable refreshing mime file (only for dev)
* Fix crash when we launch with specific type. mTypePage can be null
* Fix allow to click on homepage url

==== kmailtransport ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmailtransport-lang libKF5MailTransport5
libKF5MailTransportAkonadi5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmbox ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmime ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmime-lang libKF5Mime5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kmousetool ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kmousetool-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== knotes ====
Version update (19.04.0 -> 19.04.1)
Subpackages: knotes-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kompare ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kompare-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix option for diff executable: allow plain names, use "" as default

==== konsole ====
Version update (19.04.0 -> 19.04.1)
Subpackages: konsole-part konsole-part-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Manual: Fix shortcut for View ? Split View ? Close Active
* std::stable_sort requires !(a < a)

==== kontact ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kontact-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kontactinterface ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kontactinterface-lang libKF5KontactInterface5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kopete ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kopete-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== korganizer ====
Version update (19.04.0 -> 19.04.1)
Subpackages: korganizer-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix warning

==== kpimtextedit ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kpimtextedit-lang libKF5PimTextEdit5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Add missing emoticons

==== kpkpass ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKPimPkPass5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kruler ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kruler-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== ksmtp ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ksmtp-lang libKPimSMTP5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== ktnef ====
Version update (19.04.0 -> 19.04.1)
Subpackages: ktnef-lang libKF5Tnef5

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== kwalletmanager5 ====
Version update (19.04.0 -> 19.04.1)
Subpackages: kwalletmanager5-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== libgravatar ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5Gravatar5 libgravatar-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== libkcddb ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libkcompactdisc ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5CompactDisc5 libkcompactdisc-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Add override markers to functions

==== libkdcraw ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libkdepim ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5Libkdepim5 libKF5LibkdepimAkonadi5 libkdepim-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix enum here
* Don't use qAsConst over a temporary variable

==== libkexiv2 ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* use nullptr
* make gcc happy about indentation

==== libkgapi ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKPimGAPICalendar5 libKPimGAPIContacts5 libKPimGAPICore5
libKPimGAPITasks5 libkgapi-lang sasl2-kdexoauth2

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== libkipi ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5Kipi32_0_0 libkipi-data

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libkleo ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5Libkleo5 libkleo-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== libkomparediff2 ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libkomparediff2-5 libkomparediff2-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libksane ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5Sane5 libksane-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== libksieve ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libksieve-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== mailcommon ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5MailCommon5 mailcommon-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== mailimporter ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5MailImporter5 libKF5MailImporterAkonadi5 mailimporter-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== messagelib ====
Version update (19.04.0 -> 19.04.1)
Subpackages: messagelib-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Improve scam detection
* Fix Bug 407086 - Scam detection is too sensitive for URLs that trivially
differ and are not a scam (kde#407086)
* Remove debug
* Don't use qAsConst over a temporary variable

==== mobipocket ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* No code changes since 19.04.0

==== nghttp2 ====
Version update (1.36.0 -> 1.38.0)

- Update to 1.38.0:
* This release fixes the bug that authority and path altered by per-pattern
mruby script can affect backend selection on retry.
* It also fixes the bug that HTTP/1.1 chunked request stalls.
* Now nghttpx does not log authorization request header field value with
-LINFO.
* This release fixes possible backend stall when header and request body are
sent in their own packets.
* The backend option gets weight parameter to influence backend selection.
* This release fixes compile error with BoringSSL.
- Add patch from upstream to build with new boost bsc#1134616:
* boost170.patch

==== obs-service-set_version ====

- Changed source files to support python 3
- fix for Fedora 30/Rawhide

==== okular ====
Version update (19.04.0 -> 19.04.1)
Subpackages: okular-lang okular-spectre

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Fix build with Qt <5.10
* Fix build with poppler <0.58

==== pango ====
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit typelib-1_0-Pango-1_0

- Move RPM macros to %_rpmmacrodir.

==== patterns-kde ====
Subpackages: patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_pim patterns-kde-kde_plasma patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- Add back the kde_telepathy pattern (boo#1116043)

==== perl-Time-Duration ====
Version update (1.200000 -> 1.210000)

- updated to 1.21
see /usr/share/doc/packages/perl-Time-Duration/Changes
1.21 2019-05-11 NEILB
- Added Time::Elapsed to SEE ALSO, suggested by Ron Savage in RT#122186.
- Updated AUTHOR section to reflect that Neil Bowers is current maintainer.
- Extended testsuite so there's full code coverage (not pod yet).

==== pesign ====
Version update (0.112 -> 113)

- Update to 113
+ Get rid of the 0.Y versioning
+ Make --padding the default
+ Add kmod signing (drake)
+ efisiglist format fixes
+ enforce the use of --kernel or --module in efikeygen
+ RPM macro updates
+ Move the license to GPLv3+
+ Use sql-type NSS database by default
+ Various documentation improvements.
+ Improve /etc/pki/pesign authorization scripts
+ Various pesigcheck improvements
- Refresh patches
+ pesign-suse-build.patch
+ pesign-privkey_unneeded.diff
+ pesign-fix-authvar-write-loop.patch
- Drop upstreamed patches
+ pesign-fix-argument-list.patch
+ pesign-bsc1087742-fix-efisiglist.patch
- Drop pesign-fix-build-errors.patch since those warnings are gone

==== pimcommon ====
Version update (19.04.0 -> 19.04.1)
Subpackages: libKF5PimCommon5 libKF5PimCommonAkonadi5 pimcommon-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* QUIET was not a good idea here. So we didn't inform that we didn't find
purpose.

==== python-gssapi ====
Version update (1.5.0 -> 1.5.1)

- version update to 1.5.1
* Remove warning about collections.abc usage for Python 3.7+ (#154)

==== rubygem-packaging_rake_tasks ====
Version update (1.4.5 -> 1.4.7)

- Add support for SUSE's Jira tags (bsc#1134704)
- 1.4.7
- Do not set the "--root" osc option in the "osc:build" task,
it is not needed anymore and the default works even better
(bsc#1105050)
- 1.4.6

==== signon-kwallet-extension ====
Version update (19.04.0 -> 19.04.1)

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- No code changes since 19.04.0

==== spectacle ====
Version update (19.04.0 -> 19.04.1)
Subpackages: spectacle-lang

- Update to 19.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
* Respect the user-configured mimetype when dragging an image from the main
window (kde#407165)
* Set compression to 50 if the format is png (kde#406263)
* Add DesktopEntry to notifyrc

==== tcsh ====
Version update (6.20.00 -> 6.21.00)
Subpackages: tcsh-lang

- Update to tcsh bug fix version V6.21.00 - 20190508
* . Abort history loading on words and lines too long
https://bugzilla.redhat.com/show_bug.cgi?id=1598502
* Introduce GetCmdChar() to avoid open coding array access.
* make closem() not close sockets so as not to affect nss_ldap.
tcsh never creates sockets so that's ok (Miloslav Trmac)
* Make rmstar work with aliased rm
* convert match() from recursive to backtracking.
* Handle 8 bit characters in bindkey (Werner Fink)
* Look for tgetent in libtinfo as well (Werner Fink)
* Don't play pointer tricks that are undefined in modern c (Brooks Davis)
* Fix out of bounds read (Brooks Davis)
* Fix type of read in prompt confirmation (eg. rmstar) (David Kaspar)
* Delay arginp parsing
- Drop patches now upstream
* tcsh-6.20-ptr-update.patch
* tcsh-6.20-rmstar.patch
* tcsh-6.20.00-8bit-cmdkeys.patch
* tcsh-6.20.00-postcmd.patch
* tcsh-closem.patch
- Port patches
* tcsh-6.15.00-pipe.dif
* tcsh-6.16.00-norm-cmd.dif
* tcsh-6.17.06-dspmbyte.dif
* tcsh-6.18.03-catalogs.dif
* tcsh-6.18.03-colorls.dif
* tcsh-6.18.03-history-file-locking.patch
* tcsh-6.18.03-history-merge.dif
* tcsh-6.19.00-history-file-locking-order.patch
* tcsh-6.20.00-avoid-dotlock-for-fcntl.patch
- Rename patch tcsh-6.20.00.dif which now becomes tcsh-6.21.00.dif
- Add patch tcsh-6.20.00-postcmd.patch as workaround for bsc#1129112
- Modify tcsh-6.20.00.dif to fix sed syntax for test case lexical.at

==== vdr ====
Subpackages: vdr-lang

- add upstream patches:
* vdr-2.4.0-27-fix-mtd-map-sid.diff
* vdr-2.4.0-28-fix-mtd-checksum.diff
* vdr-2.4.0-29-fix-compiler-warning.diff
* vdr-2.4.0-30-fix-ci-sendanswer.diff
* vdr-2.4.0-31-fix-invalid-lock-sequence.diff
* vdr-2.4.0-32-fix-remote-timers-lstt-550.diff
* vdr-2.4.0-33-fix-compiler-warning-add-attr-packed.diff

==== yast2-storage-ng ====
Version update (4.2.12 -> 4.2.15)

- guided proposal frees space from existing multidevice btrfs properly
(bsc#1096760); the same for raid using partitions
- 4.2.15
- Partitioner: button to delete Btrfs filesystems.
- Partitioner: prevent edition of block devices that are part of
a multi-device Btrfs.
- Part of jsc#SLE-3877.
- 4.2.14
- Partitioner: added option for creating Btrfs filesystems (single-
and multidevice).
- Partitioner: added option for editing devices used by a Btrfs.
- Part of jsc#SLE-3877.
- 4.2.13


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups